=== modified file 'bzrlib/selftest/whitebox.py'
--- bzrlib/selftest/whitebox.py	2005-06-24 11:09:36 +0000
+++ bzrlib/selftest/whitebox.py	2005-07-04 07:34:10 +0000
@@ -19,6 +19,32 @@
                           ['hello.txt'])
 
 
+
+class ValidateRevisionId(TestBase):
+    def runTest(self):
+        from bzrlib.revision import validate_revision_id
+        validate_revision_id('mbp@sourcefrog.net-20050311061123-96a255005c7c9dbe')
+        
+        self.assertRaises(ValueError,
+                          validate_revision_id,
+                          ' asdkjas')
+
+
+        self.assertRaises(ValueError,
+                          validate_revision_id,
+                          'mbp@sourcefrog.net-20050311061123-96a255005c7c9dbe\n')
+
+
+        self.assertRaises(ValueError,
+                          validate_revision_id,
+                          ' mbp@sourcefrog.net-20050311061123-96a255005c7c9dbe')
+
+        self.assertRaises(ValueError,
+                          validate_revision_id,
+                          'Martin Pool <mbp@sourcefrog.net>-20050311061123-96a255005c7c9dbe')
+
+
+
 class Revert(InTempDir):
     """Test selected-file revert"""
     def runTest(self):

